<?php
namespace TYPO3\Orbitextended\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Plamen Petkov <mcplamen@gmail.com>, NR OOD
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package orbitextended
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class OrbitExtended extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * slider name
	 *
	 * @var \string
	 * @validate NotEmpty
	 */
	protected $orbitname;

	/**
	 * you can enter here settings of Orbit slider
	 *
	 * @var \string
	 */
	protected $settings;

	/**
	 * slides
	 *
	 * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Orbitextended\Domain\Model\Slides>
	 */
	protected $slides;

	/**
	 * __construct
	 *
	 * @return OrbitExtended
	 */
	public function __construct() {
		//Do not remove the next line: It would break the functionality
		$this->initStorageObjects();
	}

	/**
	 * Initializes all ObjectStorage properties.
	 *
	 * @return void
	 */
	protected function initStorageObjects() {
		/**
		 * Do not modify this method!
		 * It will be rewritten on each save in the extension builder
		 * You may modify the constructor of this class instead
		 */
		$this->slides = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
	}

	/**
	 * Returns the orbitname
	 *
	 * @return \string $orbitname
	 */
	public function getOrbitname() {
		return $this->orbitname;
	}

	/**
	 * Sets the orbitname
	 *
	 * @param \string $orbitname
	 * @return void
	 */
	public function setOrbitname($orbitname) {
		$this->orbitname = $orbitname;
	}

	/**
	 * Returns the settings
	 *
	 * @return \string $settings
	 */
	public function getSettings() {
		return $this->settings;
	}

	/**
	 * Sets the settings
	 *
	 * @param \string $settings
	 * @return void
	 */
	public function setSettings($settings) {
		$this->settings = $settings;
	}

	/**
	 * Adds a Slides
	 *
	 * @param \TYPO3\Orbitextended\Domain\Model\Slides $slide
	 * @return void
	 */
	public function addSlide(\TYPO3\Orbitextended\Domain\Model\Slides $slide) {
		$this->slides->attach($slide);
	}

	/**
	 * Removes a Slides
	 *
	 * @param \TYPO3\Orbitextended\Domain\Model\Slides $slideToRemove The Slides to be removed
	 * @return void
	 */
	public function removeSlide(\TYPO3\Orbitextended\Domain\Model\Slides $slideToRemove) {
		$this->slides->detach($slideToRemove);
	}

	/**
	 * Returns the slides
	 *
	 * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Orbitextended\Domain\Model\Slides> $slides
	 */
	public function getSlides() {
		return $this->slides;
	}

	/**
	 * Sets the slides
	 *
	 * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Orbitextended\Domain\Model\Slides> $slides
	 * @return void
	 */
	public function setSlides(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $slides) {
		$this->slides = $slides;
	}

}
?>