<?php
namespace TYPO3\Orbitextended\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Plamen Petkov <mcplamen@gmail.com>, NR OOD
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package orbitextended
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Slides extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * title of slide
	 *
	 * @var \string
	 * @validate NotEmpty
	 */
	protected $title;

	/**
	 * image file
	 *
	 * @var \string
	 */
	protected $image;

	/**
	 * text over the image
	 *
	 * @var \string
	 */
	protected $text;

	/**
	 * Enter ID number of link page
	 *
	 * @var \string
	 */
	protected $linkpage;

	/**
	 * text of link
	 *
	 * @var \string
	 */
	protected $linktext;

	/**
	 * caption text
	 *
	 * @var \string
	 */
	protected $caption;

	/**
	 * Returns the title
	 *
	 * @return \string $title
	 */
	public function getTitle() {
		return $this->title;
	}

	/**
	 * Sets the title
	 *
	 * @param \string $title
	 * @return void
	 */
	public function setTitle($title) {
		$this->title = $title;
	}

	/**
	 * Returns the image
	 *
	 * @return \string $image
	 */
	public function getImage() {
		return $this->image;
	}

	/**
	 * Sets the image
	 *
	 * @param \string $image
	 * @return void
	 */
	public function setImage($image) {
		$this->image = $image;
	}

	/**
	 * Returns the text
	 *
	 * @return \string $text
	 */
	public function getText() {
		return $this->text;
	}

	/**
	 * Sets the text
	 *
	 * @param \string $text
	 * @return void
	 */
	public function setText($text) {
		$this->text = $text;
	}

	/**
	 * Returns the linkpage
	 *
	 * @return \string $linkpage
	 */
	public function getLinkpage() {
		return $this->linkpage;
	}

	/**
	 * Sets the linkpage
	 *
	 * @param \string $linkpage
	 * @return void
	 */
	public function setLinkpage($linkpage) {
		$this->linkpage = $linkpage;
	}

	/**
	 * Returns the linktext
	 *
	 * @return \string $linktext
	 */
	public function getLinktext() {
		return $this->linktext;
	}

	/**
	 * Sets the linktext
	 *
	 * @param \string $linktext
	 * @return void
	 */
	public function setLinktext($linktext) {
		$this->linktext = $linktext;
	}

	/**
	 * Returns the caption
	 *
	 * @return \string $caption
	 */
	public function getCaption() {
		return $this->caption;
	}

	/**
	 * Sets the caption
	 *
	 * @param \string $caption
	 * @return void
	 */
	public function setCaption($caption) {
		$this->caption = $caption;
	}

}
?>