<?php

namespace TYPO3\Orbitextended\Tests;
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Plamen Petkov <mcplamen@gmail.com>, NR OOD
 *  			
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \TYPO3\Orbitextended\Domain\Model\OrbitExtended.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage orbit extended
 *
 * @author Plamen Petkov <mcplamen@gmail.com>
 */
class OrbitExtendedTest extends \TYPO3\CMS\Extbase\Tests\Unit\BaseTestCase {
	/**
	 * @var \TYPO3\Orbitextended\Domain\Model\OrbitExtended
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new \TYPO3\Orbitextended\Domain\Model\OrbitExtended();
	}

	public function tearDown() {
		unset($this->fixture);
	}

	/**
	 * @test
	 */
	public function getOrbitnameReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setOrbitnameForStringSetsOrbitname() { 
		$this->fixture->setOrbitname('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getOrbitname()
		);
	}
	
	/**
	 * @test
	 */
	public function getSettingsReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setSettingsForStringSetsSettings() { 
		$this->fixture->setSettings('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getSettings()
		);
	}
	
	/**
	 * @test
	 */
	public function getSlidesReturnsInitialValueForSlides() { 
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\Generic\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->fixture->getSlides()
		);
	}

	/**
	 * @test
	 */
	public function setSlidesForObjectStorageContainingSlidesSetsSlides() { 
		$slide = new \TYPO3\Orbitextended\Domain\Model\Slides();
		$objectStorageHoldingExactlyOneSlides = new \TYPO3\CMS\Extbase\Persistence\Generic\ObjectStorage();
		$objectStorageHoldingExactlyOneSlides->attach($slide);
		$this->fixture->setSlides($objectStorageHoldingExactlyOneSlides);

		$this->assertSame(
			$objectStorageHoldingExactlyOneSlides,
			$this->fixture->getSlides()
		);
	}
	
	/**
	 * @test
	 */
	public function addSlideToObjectStorageHoldingSlides() {
		$slide = new \TYPO3\Orbitextended\Domain\Model\Slides();
		$objectStorageHoldingExactlyOneSlide = new \TYPO3\CMS\Extbase\Persistence\Generic\ObjectStorage();
		$objectStorageHoldingExactlyOneSlide->attach($slide);
		$this->fixture->addSlide($slide);

		$this->assertEquals(
			$objectStorageHoldingExactlyOneSlide,
			$this->fixture->getSlides()
		);
	}

	/**
	 * @test
	 */
	public function removeSlideFromObjectStorageHoldingSlides() {
		$slide = new \TYPO3\Orbitextended\Domain\Model\Slides();
		$localObjectStorage = new \TYPO3\CMS\Extbase\Persistence\Generic\ObjectStorage();
		$localObjectStorage->attach($slide);
		$localObjectStorage->detach($slide);
		$this->fixture->addSlide($slide);
		$this->fixture->removeSlide($slide);

		$this->assertEquals(
			$localObjectStorage,
			$this->fixture->getSlides()
		);
	}
	
}
?>